.\"
.\" DI $Id: utroff.tr,v 0.6 2014/03/13 08:35:19 pj Exp pj $
.\" DA Pierre‐Jean Fichet
.\" DS Utroff manual
.\" DT Utroff manual
.\" DK utroff troff nroff heirloom tmac xml
.
.
.
.TH UTROFF 7 '2014‐03‐17'
.
.
.
.SH NAME
.PP
\fIUtroff\fR - Use Troff !
.
.
.
.SH DESCRIPTION
.PP
\fIUtroff\fR is collection of tools to use easily
\fIHeirloom Troff\fR today.
.
.
.
.SH UTROFF SESSION
.PP
To use efficiently \fIutroff\fR, you should process as follow.
.
.
.
.SS Configure your environment
.RS 3
.PP
The
\fBU\fR(1)
script gives you an easy access to the \fIutroff\fR tools,
and configure some environment variables for you. Followed
by a \fIcommand\fR, it will set the environment variables for this
onliest \fIcommand\fR. With no argument, it can be sourced to set
the \fIutroff\fR environment, or to reset your default environment.
.
.
.
.SS Think
.RS 3
.PP
The
\fBidx\fR(1)
script will help you to produce indexes of the books you’re
working on.
.
.
.
.SS Write
.RS 3
.PP
The syntax of troff documents is line oriented: each
command is on a line. A troff document should not contain
blank lines, nor lines begining by a blank caracters.
Commands are recognized by the dot ’\fB.\fR’ at the begin at
the line. A line containing only a dot is ignored by troff.
Comments begin by a slash followed by an apostrophe:
’\fB\e"\fR’
.PP
Troff \fImacros\fR (usually named \fItmac\fR) define the
commands one can use. On \fIutroff\fR, all the \fImacros\fR
follow the same syntax, which is described on the
\fButmac\fR(7)
manual page. Here is a simple \fIutmac\fR document:
.PP
.EX
\fB.\fR\fBDA\fR Author name metadata
\fB.\fR\fBH1\fR Document title
\fB.\fR\fBPP\fR
A paragraph
\fB.\fR\fBPQ\fR
A quotation\fB\e**\fP.
\fB.\fR\fBNS\fR
A note, between NS and NE. \fB\e**\fP is used to insert the number
of the note.
\fB.\fR\fBNE\fR
End of the quotation.
\fB.\fR\fBPP\fR
Another paragraph.
\fB.\fR\fBXT\fR \fI\e" table of content\fR
.EE
.
.
.
.SS Pre‐process
.RS 3
.PP
Pre‐processors will help you to format your documents.
\fBsoelim\fR(1)
will source files in your current document,
\fBtbl\fR(1)
insert tables,
\fBeqn\fR(1)
write equations,
\fBrefer\fR(1)
format references —
\fBreferformat\fR(7)
explain its syntax —,
\fBugrind\fR(1)
highlight source code,
\fBtchars\fR(1)
write polytonic greek. Most of
them define a mini‐language, and will translate this
mini‐language to the raw troff language.
.PP
The preprocessor
\fBprexml\fR(1)
is used to produce \fIxml\fR files.
.
.
.
.SS Format
.RS 3
\fBTroff\fR(1)
will format your documents for typesetters.
\fBNroff\fR(1)
will produce plain text documents and \fIxml\fR files if you
use the \fIux\fR macro. On both of them, the \fB‐m\fR option
will define the \fImacro\fR you want to use.
.
.
.
.SS Post‐process
.RS 3
.PP
If you used \fBtroff\fR,
\fBdpost\fR(1)
will produce \fIpostscript\fR files,
\fBdpage\fR(1)
will put two A4 page on an A3 sheet of paper,
\fBps2pdf\fR(1)
will produce \fIpdf\fR files.
.PP
If you used \fBnroff\fR with the \fB‐m\fR\fIux\fR option,
\fBpostxml\fR(1)
will produce \fIxml\fR files, and
\fBtrxtr\fR(1)
will translate the \fIutroff\fR \fIxml\fR format to famous
\fIxml\fR formats, such as \fIxhtml\fR and \fIfodt\fR.
.
.
.
.SS Recover your environment
.RS 3
.PP
If you sourced the \fBU\fR script, source it again to recover your
default environment.
.
.
.
.SH EXAMPLE
.PP
All in one, a complex \fIutroff\fR session looks like:
.PP
.EX
 . U
vim f.tr
soelim f.tr \fB|\fR tbl \fB|\fR eqn \fB|\fR refer -p biblio.ref \fB|\fR ugrind \
\fB|\fR tchars \fB>\fR f.t
troff -mus f.t \fB|\fR dpost \fB|\fR dpage \fB|\fR ps2pdf - \fB>\fR f.pdf
prexml f.t \fB|\fR nroff -mux \fB|\fR postxml \fB|\fR trxtr html \fB>\fR f.html
prexml f.t \fB|\fR nroff -mux \fB|\fR postxml \fB|\fR trxtr fodt \fB>\fR f.fodt
nroff -mut f.t \fB>\fR f.txt
 . U
.EE
.PP
But most often, you only have to do:
.PP
.EX
U troff -mus f.tr \fB|\fR U dpost \fB|\fR ps2pdf - \fB>\fR f.pdf
.EE
.
.
.
.SH ENVIRONMENT
.PP
If you don’t use the
\fBU\fR(1)
script, you should define the following environment
variables:
.TP
\fBPATH\fR
The \fIutroff\fR executables must be the first found on the
PATH.
.TP
\fBMANPATH\fR
The \fIutroff\fR manual pages must be the first found on the
MANPATH.
.TP
\fBTROFFONTS\fR
Comma separated list of directory containing the fonts for
troff. One of them must contain the default heirloom troff
fonts, one other must contain the OpenType Libertine font.
.TP
\fBTROFFMACS\fR
Directory containing the \fIutmac\fR macros files.
.TP
\fBUTMAC\fR
A user defined macro that utmac macros will load. This macro
can be used to source a macro which sets your locale (such
as \fIu‐en\fR or \fIu‐fr\fR), and a macro which sets your
prefered font (such as \fIu‐libertine\fR and
\fIu‐apolline\fR).

.
.
.
.SH SEE ALSO
.PP
Utroff manual pages:
\fBU\fR(1),
\fBidx\fR(1),
\fButmac\fR(7),
\fBu‐ref\fR(7).
\fBsoelim\fR(1),
\fBfelim\fR(1),
\fBslelim\fR(1),
\fBugrind\fR(1),
\fBtchars\fR(1).
\fBrefer\fR(1),
\fBreferformat\fR(7),
\fBsortbib\fR(1),
\fBhunt\fR(1),
\fBinv\fR(1),
\fBmkey\fR(1).
\fBdpost\fR(1),
\fBdpage\fR(1),
\fBprexml\fR(1),
\fBtrxtr\fR(1).
.PP
Some Heirloom Troff manual pages:
\fBotfdump\fR(1),
\fBnroff\fR(1),
\fBtroff\fR(1),
\fBdpost\fR(1).
\fBtbl\fR(1),
\fBeqn\fR(1),
\fBeqnchar\fR(7),
\fBchecknr\fR(1),
\fBpickpack\fR(1),
\fBgrap\fR(1),
\fBpic\fR(1).
.PP
Other usefull manual pages:
\fBps2pdf\fR(1).
.
.
.
.SH LICENSE
.PP
This man page is distributed under a
two clause BSD
license.
.
.
.
.SH BUGS & HELP
.PP
Don’t hesitate to ask questions at help at utroff dot org.
Please, send bugs and patches at help at utroff dot org.
.
.
.
.SH AUTHOR
.PP
Written by Pierre‐Jean \fCFichet\fR.
